//
//  RunMath.swift
//  RunTrackerDemo
//
//  Created by Sally McNichols on 3/23/15.
//  From http://www.raywenderlich.com/73984/make-app-like-runkeeper-part-1
//

import UIKit

class RunMath: NSObject {
    
    class func distanceToString(meters: Float) -> String {
        let metersInMile: Float = 1609.344
        return NSString(format: "%.2f %@", meters / metersInMile, "mi")
    }
    
    class func secondCountToString(seconds: Int) -> String {
        var remainingSeconds: Int = seconds
        var hours: Int = remainingSeconds / 3600
        remainingSeconds = remainingSeconds - hours * 3600
        var minutes: Int = remainingSeconds / 60
        remainingSeconds = remainingSeconds - minutes * 60
        
        if(hours > 0) {
            return NSString(format: "%i hr %i min %i sec", hours, minutes, remainingSeconds)
        } else if(minutes > 0) {
            return NSString(format: "%i min %i sec", minutes, remainingSeconds)
        } else {
            return NSString(format: "%i sec", remainingSeconds)
        }
    }
    
    class func avgPaceFromDistanceToString(meters: Float, time: Int)-> String {
        let metersInMile: Float = 1609.344
        
        if(time == 0 || meters == 0.0) {
            return "0 min/mi"
        }
        
        var avgPaceSecMeters = Float(time) / meters
        var paceMin = Int((avgPaceSecMeters * metersInMile) / 60)
        var paceSec = Int(avgPaceSecMeters * metersInMile - (Float(paceMin)*60.0))
        
        return NSString(format: "%i:%02i %@", paceMin, paceSec,"min/mi")
    }
}